<!-- global spinner -->
<app-spinner *ngIf="!initialized" class="app-global-spinner"></app-spinner>

<!-- summary -->
<app-table-summary (reload)="getData()" [lastUpdate]="lastUpdate" [total]="total" title="ADMINS">
  <!-- admin icon -->
  <app-icon-admin icon></app-icon-admin>
</app-table-summary>

<!-- actions -->
<app-table-actions
  (filterApply)="onFilterApplied($event)"
  [(viewType)]="viewType"
  [filterConfigs]="filterConfigs"
  [filters]="filters"
  [viewTypes]="viewTypes"
>
  <!-- new button -->
  <button
    *ngIf="editPermission$ | async"
    (click)="openInviteAdmin()"
    actionButton
    appFlatButton
    class="app-create-button"
    theme="primary"
  >
    <span>+</span> Create New
  </button>
</app-table-actions>

<!-- admin table -->
<app-admin-table
  (deleteUndo)="getData(0)"
  (deleted)="getData(0)"
  (pagingChange)="onPagingChanged($event)"
  (sortsChange)="onSortsChanged($event)"
  [data]="data"
  [loading]="loading"
  [page]="page"
  [size]="size"
  [total]="total"
>
</app-admin-table>

<!-- invite admin modal -->
<app-side-modal-invite-admin (clickClose)="closeInviteAdmin()" (created)="getData(0)" *ngIf="inviteAdminVisible">
</app-side-modal-invite-admin>
